Subject: 23.2; ede-cpp-root-projects spp table is not taken into account by semantic in cedet

From: Jonathan Marchand <[email-masked]>
Date: Mon, 24 May 2010 13:53:18 +0200

Ok, I have found the other bug that prevents ede-cpp-root to use the
project preprocessor symbols.

In fact, the emacs23.2 version of cedet use the symbols defined in
:spp-table to parse the include files specified in :include, (with the
bugfix I gave earlier) but not for :system-include-path.
I was not sure it was a bug or a feature, but by checkouting the CVS　
version of cedet, I could figure the intended behavior was to use the
symbols for both, so this is a bug.

The problem is the variable
semantic-lex-spp-project-macro-symbol-obarray which is correctly set
when parsing a file within the project, but set to nil when parsing an
external include. This time I couldn't figure where in the code the
problem is, so I can't report a way to solve this. I hope some people
from the dev team can fix this.

Regards,

Jonathan Marchand